geos::geom::util::ComponentCoordinateExtracter Class Reference

Extracts a single representative `Coordinate` from each connected component of a `Geometry`. More...

`#include <ComponentCoordinateExtracter.h>`

Inheritance diagram for geos::geom::util::ComponentCoordinateExtracter:

## Public Member Functions

| ComponentCoordinateExtracter (std::vector< const CoordinateXY * > &newComps)
void | filter_rw (Geometry *geom) override
void | filter_ro (const Geometry *geom) override
Public Member Functions inherited from geos::geom::GeometryComponentFilter
virtual bool | isDone ()

## Static Public Member Functions

static void | getCoordinates (const Geometry &geom, std::vector< const CoordinateXY * > &ret)

## Detailed Description

Extracts a single representative `Coordinate` from each connected component of a `Geometry`.

Version
  1.9

## Constructor & Destructor Documentation

## ComponentCoordinateExtracter()

geos::geom::util::ComponentCoordinateExtracter::ComponentCoordinateExtracter | ( | std::vector< const CoordinateXY * > & | newComps | ) |

Constructs a ComponentCoordinateFilter with a list in which to store Coordinates found.

Referenced by filter_rw().

## Member Function Documentation

## filter_ro()

void geos::geom::util::ComponentCoordinateExtracter::filter_ro | ( | const Geometry * | geom | ) |

override virtual

Reimplemented from geos::geom::GeometryComponentFilter.

## filter_rw()

void geos::geom::util::ComponentCoordinateExtracter::filter_rw | ( | Geometry * | geom | ) |

override virtual

Performs an operation with or on `geom`.

Parameters

  geom | a `Geometry` to which the filter is applied.

Reimplemented from geos::geom::GeometryComponentFilter.

References ComponentCoordinateExtracter().

## getCoordinates()

void geos::geom::util::ComponentCoordinateExtracter::getCoordinates | ( | const Geometry & | geom,
|  | std::vector< const CoordinateXY * > & | ret )

static

Push the linear components from a single geometry into the provided vector. If more than one geometry is to be processed, it is more efficient to create a single ComponentCoordinateFilter instance and pass it to multiple geometries.

The documentation for this class was generated from the following file:

- ComponentCoordinateExtracter.h